unit UDataModuleMDFe;

interface

uses
  SysUtils, Classes, DB, DBClient, WideStrings, DBXMySql, FMTBcd, Provider,
  SqlExpr, Biblioteca;

type
  TFDataModuleMDFe = class(TDataModule)
    CDSPercurso: TClientDataSet;
    DSPercurso: TDataSource;
    CDSSeguro: TClientDataSet;
    DSSeguro: TDataSource;
    CDSLacre: TClientDataSet;
    DSLacre: TDataSource;
    CDSMunicipioCarregamento: TClientDataSet;
    DSMunicipioCarregamento: TDataSource;
    CDSMotorista: TClientDataSet;
    DSMotorista: TDataSource;
    CDSCiot: TClientDataSet;
    DSCiot: TDataSource;
    CDSVeiculo: TClientDataSet;
    DSVeiculo: TDataSource;
    CDSPedagio: TClientDataSet;
    DSPedagio: TDataSource;
    CDSNfe: TClientDataSet;
    DSNfe: TDataSource;
    CDSMunicipioDescarregamento: TClientDataSet;
    DSMunicipioDescarregamento: TDataSource;
    CDSCte: TClientDataSet;
    DSCte: TDataSource;
    procedure ControlaPersistencia(pDataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FDataModuleMDFe: TFDataModuleMDFe;

implementation

{$R *.dfm}

{ TFDataModuleMDFe }

procedure TFDataModuleMDFe.ControlaPersistencia(pDataSet: TDataSet);
begin
  //pDataSet.FieldByName('PERSISTE').AsString := 'S';
end;

end.
